/*
	$Id: DisplayMenuBar.java 97 2006-03-01 13:11:45Z syl $

	Copyright (C) 2006 Syllabub
	Maroontress Fast Software.
*/

import java.awt.event.ActionEvent;
import javax.swing.AbstractAction;
import javax.swing.JMenu;
import javax.swing.JMenuBar;

/**
   ǥץ쥤ɥΥ˥塼С
*/
public class DisplayMenuBar extends JMenuBar {

    /**
       ƤȤʤǥץ쥤ɥ
    */
    private Display dpy;

    /**
       ơ֥򤵤Ƥܤ¹ԤоݤȤʥåդ
       ˥
    */
    private AbstractAction markAction;

    /**
       ơ֥򤵤Ƥܤ¹ԤоݤȤʤʥå
       ˥
    */
    private AbstractAction unmarkAction;

    /**
       ǥץ쥤ɥΥ˥塼Сޤ

       @param d ǥץ쥤ɥ
    */
    public DisplayMenuBar(final Display d) {
	dpy = d;
	JMenu menu;

	menu = new JMenu("File");
	menu.add(new AbstractAction("Close") {
	    public void actionPerformed(final ActionEvent ev) {
		dpy.close();
	    }
	});
	add(menu);

	menu = new JMenu("Edit");
	markAction = new AbstractAction("Mark") {
	    public void actionPerformed(final ActionEvent ev) {
		dpy.changeMarks(true);
	    }
	};
	unmarkAction = new AbstractAction("Unmark") {
	    public void actionPerformed(final ActionEvent ev) {
		dpy.changeMarks(false);
	    }
	};
	menu.add(markAction);
	menu.add(unmarkAction);
	add(menu);

	menu = new JMenu("View");
	menu.add(new AbstractAction("Reload")  {
	    public void actionPerformed(final ActionEvent ev) {
		dpy.reload();
	    }
	});
	add(menu);

	menu = new JMenu("Run");
	menu.add(new AbstractAction("Go")  {
	    public void actionPerformed(final ActionEvent ev) {
		dpy.start();
	    }
	});
	add(menu);
    }

    /**
       򤵤줿ƥȹܤ̵ͭꤷޤ

       isSelectedˤϥǥץ쥤ɥǥƥȹܤ򤵤Ƥ
       true򡢤Ƥʤfalseꤷޤ

       @param isSelected 򤵤줿ƥȹܤ뤫ɤ
    */
    public final void setSelected(final boolean isSelected) {
	markAction.setEnabled(isSelected);
	unmarkAction.setEnabled(isSelected);
    }
}
