/*
	$Id: BufferedInputStream.h 104 2006-03-02 15:35:08Z syl $

	Copyright (C) 2006 Syllabub
	Maroontress Fast Software.
*/

#ifndef BUFFEREDINPUTSTREAM_H
#define BUFFEREDINPUTSTREAM_H

#include "tricks.h"
#include "InputStream.h"

struct impl_Object;
struct impl_InputStream;
struct impl_BufferedInputStream;

union BufferedInputStream {
    union {
	struct impl_Object *object;
	struct impl_InputStream *inputStream;
    } super;
    struct impl_BufferedInputStream *impl;
} TRANSPARENT_UNION;

union BufferedInputStream BufferedInputStream_create(union InputStream in);

#endif /* !BUFFEREDINPUTSTREAM_H */
